%define debug_package %{nil}
%define daemon_name ovs-devmon

Name:      devmon
Version:   1.0
Release: 170.el6.199.5
Summary:   System device Monitor for Oracle OVS
License:   GPLv2
Group:     System Environment/Daemons
URL:       http://www.oracle.com/virtualization
Source:    %{name}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:  ovs-agent >= 3.0
BuildRequires:  device-mapper-devel python-devel

Patch1: sd-events.patch
Patch2: rpm-target.patch
Patch3: missing-add-sd.patch
Patch4: rem-dm.patch
Patch5: organize-logfile.patch
Patch6: empty-add-sd.patch
Patch7: change-license-to-gplv2.patch
Patch8: add-license-header.patch
Patch9: bond-link-change.patch
Patch10: infiniband-link-state.patch
Patch11: devmon-infinband.patch
Patch12: notification.patch
Patch13: fix-agent-notification-module-path.patch
Patch14: remove-reload.patch
Patch15: enic-link-state.patch
Patch16: ipoib-partitions.patch
Patch17: ol6-upgrade.patch
Patch18: rev569.patch
Patch19: bond-if-status.patch
Patch20: rev771.patch
Patch21: rev782.patch
Patch22: monitor-cloudnet-ifs.patch
Patch23: rev1561.patch
Patch24: rev1983.patch
Patch25: rev3125.patch
Patch26: rev3135.patch
# End Oracle Patches

%description
devmon daemon for Oracle OVS. Monitors all of the devices and provides health
information via agent notifier.


%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0 -E
%patch26 -p0 -E


%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
make DESTDIR=${RPM_BUILD_ROOT}
install --mode=755 init.d/ovs-devmon ${RPM_BUILD_ROOT}/etc/init.d/ovs-devmon
install --mode=755 devmon ${RPM_BUILD_ROOT}/usr/bin/devmon


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ $1 = 1 ]; then
   /sbin/chkconfig --add %{daemon_name}
   if [ $? == 0 ]; then
        /sbin/chkconfig --level 35 %{daemon_name} on
   fi
fi

%preun
if [ $1 = 0 ]; then
   /sbin/service %{daemon_name} stop > /dev/null 2>&1
   /sbin/chkconfig --del %{daemon_name}
fi

%postun
/sbin/ldconfig
if [ $1 -ge 1 ]; then
   /sbin/service %{daemon_name} condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc COPYING
/etc/init.d/ovs-devmon
/usr/bin/devmon


%changelog
* Sun Nov 18 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.199.5
- Rebuild due to xen update 

* Thu Nov 08 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.199.4
- Rebuild due to kernel update 

* Sun Nov 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.199.3
- Rebuild due to kernel update 

* Sun Oct 28 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.199.2
- Rebuild due to kernel update 

* Sun Oct 14 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.199.1
- Rebuild due to kernel update 

* Sat Sep 22 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.199
- Rebuild due to xen update 

* Fri Sep 21 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.198
- Rebuild due to kernel update 

* Sun Sep 16 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.197
- Rebuild due to kernel update 

* Thu Sep 13 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.196
- Rebuild due to xen update 

* Mon Sep 10 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.195
- Rebuild due to kernel update 

* Fri Sep 07 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.194
- Rebuild due to xen update 

* Wed Sep 05 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.193
- Rebuild due to kernel update 

* Sat Aug 25 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.192
- Rebuild due to xen update 

* Wed Aug 22 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.191
- Rebuild due to xen update 

* Tue Aug 21 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.190
- Rebuild due to xen update 

* Sat Aug 18 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.189
- Rebuild due to kernel and xen update 

* Wed Aug 15 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.188
- Rebuild due to kernel update 

* Sat Aug 11 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.187
- Rebuild due to xen update 

* Thu Aug 09 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.186
- Rebuild due to kernel update 

* Thu Aug 02 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.185
- Rebuild due to xen update 

* Wed Jul 11 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.184
- Rebuild due to kernel update 

* Fri Jun 22 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.183
- Rebuild due to xen update 

* Tue Jun 19 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.182
- Rebuild due to kernel and xen update 

* Sat Jun 16 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.181
- Rebuild due to xen update 

* Fri Jun 15 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.180
- Rebuild due to xen update 

* Thu Jun 14 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.179
- Rebuild due to kernel update 

* Mon Jun 11 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.178
- Rebuild due to xen update 

* Tue Jun 05 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.177
- Rebuild due to xen update 

* Wed May 23 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.176
- Rebuild due to kernel update 

* Sat May 12 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.175
- Rebuild due to xen update 

* Wed May 09 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.174
- Rebuild due to xen update 

* Tue May 08 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.173
- Rebuild due to xen update 

* Fri May 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.172
- Rebuild due to xen update 

* Wed May 02 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.171
- Rebuild due to kernel and xen update 

* Sat Apr 28 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.170
- Rebuild due to kernel update 

* Tue Apr 17 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.169
- Rebuild due to xen update 

* Sat Apr 07 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.168
- Rebuild due to xen update 

* Thu Apr 05 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.167
- Rebuild due to xen update 

* Wed Apr 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.166
- Rebuild due to xen update 

* Mon Mar 26 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.165
- Rebuild due to xen update 

* Tue Mar 20 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.164
- Rebuild due to xen update 

* Mon Mar 19 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.163
- Rebuild due to kernel update 

* Thu Mar 15 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.162
- Rebuild due to xen update 

* Tue Mar 13 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.161
- Rebuild due to xen update 

* Sat Mar 10 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.160
- Rebuild due to xen update 

* Fri Mar 09 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.159
- Rebuild due to xen update 

* Thu Mar 01 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.158
- Rebuild due to xen update 

* Tue Feb 27 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.157
- Rebuild due to xen update 

* Wed Feb 21 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.156
- Rebuild due to xen update 

* Fri Feb 16 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.155
- Rebuild due to xen update 

* Tue Feb 13 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.154
- Rebuild due to xen update 

* Sun Feb 11 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.153
- Rebuild due to kernel update 

* Sat Feb 10 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.152
- Rebuild due to xen update 

* Thu Feb 08 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.151
- Rebuild due to kernel update 

* Fri Feb 02 2018  <> - 1.0-170.el6.150 
- Fixed to not remove an empty line in 'multipath -ll' error output.
  Reviewd-by: Siddharth Verma <siddharth.x.verma@oracle.com>
  Reviewd-by: Greg King <greg.king@oracle.com> [bug 27486525] [bug devmon] [bug crashes] [bug on] [bug SE] [bug OVS] [bug 3.4.4] [bug image]  

* Fri Feb 02 2018  <> - 1.0-170.el6.149 
- 
  Fixed calloc size by using dynamical value.
  
  Reviewd-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 27056568] [bug OVM] [bug 3.4.4] [bug -] [bug ovs-devmon] [bug service] [bug is] [bug aborted] [bug after] [bug is] [bug started]  

* Tue Jan 30 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.148
- Rebuild due to xen update 

* Fri Jan 26 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.147
- Rebuild due to xen update 

* Wed Jan 24 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.146
- Rebuild due to xen update 

* Sat Jan 20 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.145
- Rebuild due to kernel update 

* Fri Jan 19 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.144
- Rebuild due to kernel and xen update 

* Thu Jan 18 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.143
- Rebuild due to xen update 

* Wed Jan 10 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.142
- Rebuild due to kernel update 

* Tue Jan 09 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.141
- Rebuild due to kernel update 

* Sun Jan 07 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.140
- Rebuild due to xen update 

* Sat Jan 06 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.139
- Rebuild due to xen update 

* Thu Jan 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.138
- Rebuild due to xen update 

* Thu Jan 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.137
- Rebuild due to xen update 

* Thu Jan 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.136
- Rebuild due to xen update 

* Thu Jan 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.135
- Rebuild due to kernel and xen update 

* Tue Dec 12 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.134
- Rebuild due to xen update 

* Sun Dec 10 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.133
- Rebuild due to xen update 

* Sun Dec 10 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.132
- Rebuild due to kernel update 

* Sun Dec 10 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.131
- Rebuild due to kernel update 

* Fri Dec 08 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.130
- Rebuild due to kernel and xen update 

* Wed Dec 06 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.129
- Rebuild due to xen update 

* Wed Dec 06 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.128
- Rebuild due to xen update 

* Wed Dec 06 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.127
- Rebuild due to xen update 

* Tue Dec 05 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.126
- Rebuild due to xen update 

* Tue Dec 05 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.125
- Rebuild due to xen update 

* Tue Dec 05 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.124
- Rebuild due to xen update 

* Tue Dec 05 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.123
- Rebuild due to xen update 

* Tue Dec 05 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.122
- Rebuild due to xen update 

* Tue Dec 05 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.121
- Rebuild due to xen update 

* Fri Dec 01 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.120
- Rebuild due to xen update 

* Tue Nov 28 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.119
- Rebuild due to xen update 

* Wed Nov 22 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.118
- Rebuild due to xen update 

* Tue Nov 21 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.117
- Rebuild due to xen update 

* Thu Nov 16 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.116
- Rebuild due to kernel update 

* Sun Nov 05 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.115
- Rebuild due to kernel update 

* Fri Oct 27 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.114
- Rebuild due to kernel update 

* Fri Oct 20 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.113
- Rebuild due to xen update 

* Wed Oct 18 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.112
- Rebuild due to kernel and xen update 

* Tue Oct 03 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.111
- Rebuild due to xen update 

* Sat Sep 30 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.110
- Rebuild due to xen update 

* Fri Sep 22 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.109
- Rebuild due to kernel update 

* Wed Sep 13 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.108
- Rebuild due to xen update 

* Thu Aug 24 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.107
- Rebuild due to kernel update 

* Fri Aug 18 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.106
- Rebuild due to kernel update 

* Tue Aug 15 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.105
- Rebuild due to xen update 

* Wed Aug 09 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.104
- Rebuild due to xen update 

* Wed Aug 02 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.103
- Rebuild due to xen update 

* Mon Jul 31 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.102
- Rebuild due to xen update 

* Sat Jul 29 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.101
- Rebuild due to kernel and xen update 

* Fri Jul 28 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.100
- Rebuild due to xen update 

* Thu Jul 27 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.99
- Rebuild due to xen update 

* Wed Jul 26 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.98
- Rebuild due to xen update 

* Fri Jul 21 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.97
- Rebuild due to xen update 

* Wed Jul 19 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.96
- Rebuild due to xen update 

* Mon Jul 17 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.95
- Rebuild due to kernel update 

* Fri Jul 14 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.94
- Rebuild due to xen update 

* Thu Jul 13 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.93
- Rebuild due to xen update 

* Sat Jul 08 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.92
- Rebuild due to xen update 

* Thu Jul 06 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.91
- Rebuild due to xen update 

* Wed Jun 28 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.90
- Rebuild due to kernel update 

* Sat Jun 24 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.89
- Rebuild due to xen update 

* Tue Jun 20 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.88
- Rebuild due to xen update 

* Mon Jun 19 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.87
- Rebuild due to xen update 

* Thu Jun 15 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.86
- Rebuild due to xen update 

* Mon Jun 12 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.85
- Rebuild due to xen update 

* Sat Jun 10 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.84
- Rebuild due to xen update 

* Fri Jun 09 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.83
- Rebuild due to xen update 

* Thu Jun 01 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.82
- Rebuild due to kernel update 

* Thu Jun 01 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.81
- Rebuild due to xen update 

* Wed May 31 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.80
- Rebuild due to xen update 

* Sat May 27 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.79
- Rebuild due to xen update 

* Tue May 23 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.78
- Rebuild due to xen update 

* Wed May 17 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.77
- Rebuild due to kernel update 

* Mon May 15 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.76
- Rebuild due to xen update 

* Sat May 13 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.75
- Rebuild due to xen update 

* Mon May 08 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.74
- Rebuild due to xen update 

* Thu May 04 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.73
- Rebuild due to kernel update 

* Sat Apr 29 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.72
- Rebuild due to xen update 

* Mon Apr 24 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.71
- Rebuild due to xen update 

* Tue Apr 11 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.70
- Rebuild due to kernel and xen update 

* Fri Apr 07 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.69
- Rebuild due to xen update 

* Thu Mar 30 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.68
- Rebuild due to xen update 

* Sat Mar 25 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.67
- Rebuild due to xen update 

* Sat Mar 11 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.66
- Rebuild due to xen update 

* Tue Mar 07 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.65
- Rebuild due to xen update 

* Thu Mar 02 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.64
- Rebuild due to xen update 

* Wed Mar 01 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.63
- Rebuild due to kernel update 

* Tue Feb 07 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.62
- Rebuild due to kernel update 

* Wed Feb 01 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.61
- Rebuild due to xen update 

* Sat Jan 28 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.60
- Rebuild due to xen update 

* Thu Jan 26 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.59
- Rebuild due to xen update 

* Fri Jan 13 2017 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.58
- Rebuild due to kernel update 

* Tue Dec 27 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.57
- Rebuild due to xen update 

* Thu Dec 22 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.56
- Rebuild due to xen update 

* Wed Dec 21 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.55
- Rebuild due to xen update 

* Mon Dec 12 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.54
- Rebuild due to kernel update 

* Tue Nov 29 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.53
- Rebuild due to xen update 

* Tue Nov 29 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.52
- Rebuild due to xen update 

* Tue Nov 22 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.51
- Rebuild due to kernel update 

* Wed Nov 16 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.50
- Rebuild due to xen update 

* Fri Nov 11 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.49
- Rebuild due to xen update 

* Fri Nov 04 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.48
- Rebuild due to kernel update 

* Wed Oct 26 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.47
- Rebuild due to xen update 

* Mon Oct 24 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.46
- Rebuild due to kernel update 

* Wed Oct 19 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.45
- Rebuild due to xen update 

* Fri Oct 14 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.44
- Rebuild due to kernel update 

* Fri Oct 07 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.43
- Rebuild due to xen update 

* Thu Oct 06 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.42
- Rebuild due to kernel update 

* Tue Oct 04 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.41
- Rebuild due to xen update 

* Mon Sep 26 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.40
- Rebuild due to kernel update 

* Wed Sep 14 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.39
- Rebuild due to kernel update 

* Fri Sep 02 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.38
- Rebuild due to xen update 

* Wed Aug 31 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.37
- Rebuild due to xen update 

* Tue Aug 30 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.36
- Rebuild due to xen update 

* Thu Aug 25 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.35
- Rebuild due to kernel update 

* Sat Aug 20 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.34
- Rebuild due to xen update 

* Thu Aug 18 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.33
- Rebuild due to kernel and xen update 

* Tue Aug 16 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.32
- Rebuild due to xen update 

* Wed Aug 03 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.31
- Rebuild due to kernel update 

* Tue Aug 02 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.30
- Rebuild due to xen update 

* Mon Aug 01 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.29
- Rebuild due to xen update 

* Thu Jul 28 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.28
- Rebuild due to xen update 

* Wed Jul 27 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.27
- Rebuild due to xen update 

* Mon Jul 25 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.26
- Rebuild due to xen update 

* Fri Jul 22 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.25
- Rebuild due to xen update 

* Thu Jul 21 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.24
- Rebuild due to xen update 

* Thu Jul 21 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.23
- Rebuild due to kernel and xen update 

* Wed Jul 20 2016 Shelly Ma <shelly.ma@oracle.com> - 1.0-170.el6.22 
- ovs-devmon not reporting CHANGE_DM_SD events, fixed udev event path from UEK NETLINK_KOBJECT_UEVENT socket. 
  Acknowledged by Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Jul 19 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.21
- Rebuild due to xen update 

* Thu Jul 14 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.20
- Rebuild due to xen update 

* Wed Jul 13 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.19
- Rebuild due to xen update 

* Wed Jul 06 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.18
- Rebuild due to kernel update 

* Thu Jun 30 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.17
- Rebuild due to xen update 

* Tue Jun 28 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.16
- Rebuild due to xen update 

* Sat Jun 25 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.15
- Rebuild due to xen update 

* Thu Jun 23 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.14
- Rebuild due to kernel and xen update 

* Wed Jun 22 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.13
- Rebuild due to xen update 

* Thu Jun 16 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.12
- Rebuild due to xen update 

* Thu May 19 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.11
- Rebuild due to xen update 

* Wed May 18 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.10
- Rebuild due to kernel update 

* Tue May 17 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.9
- Rebuild due to xen update 

* Sat May 14 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.8
- Rebuild due to xen update 

* Fri May 13 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.7
- Rebuild due to xen update 

* Thu May 12 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.6
- Rebuild due to xen update 

* Fri May 06 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.5
- Rebuild due to kernel update 

* Thu May 05 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.4
- Rebuild due to kernel update 

* Tue May 03 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.3
- Rebuild due to kernel update 

* Mon May 02 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.2
- Rebuild due to kernel update 

* Sat Apr 30 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6.1
- Rebuild due to kernel update 

* Tue Mar 29 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-170.el6
- Rebuild due to kernel update 

* Thu Feb 11 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-169.el6
- Rebuild due to xen update 

* Mon Feb 01 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-168.el6
- Rebuild due to kernel update 

* Mon Jan 25 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-167.el6
- Rebuild due to xen update 

* Sun Jan 24 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-166.el6
- Rebuild due to xen update 

* Sun Jan 24 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-165.el6
- Rebuild due to xen update 

* Sat Jan 23 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-164.el6
- Rebuild due to xen update 

* Fri Jan 22 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-163.el6
- Rebuild due to xen update 

* Mon Jan 11 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-162.el6
- Rebuild due to kernel update 

* Thu Jan 07 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-161.el6
- Rebuild due to xen update 

* Thu Dec 24 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-160.el6
- Rebuild due to xen update 

* Sat Dec 19 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-159.el6
- Rebuild due to kernel update 

* Fri Dec 18 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-158.el6
- Rebuild due to kernel and xen update 

* Fri Dec 18 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-157.el6
- Rebuild due to xen update 

* Mon Dec 14 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-156.el6
- Rebuild due to kernel update 

* Sat Dec 12 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-155.el6
- Rebuild due to kernel update 

* Thu Dec 10 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-154.el6
- Rebuild due to kernel and xen update 

* Thu Dec 10 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-153 
- update copyright year
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 22339323]  

* Tue Dec 08 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-152.el6
- Rebuild due to kernel update 

* Fri Dec 04 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-151.el6
- Rebuild due to xen update 

* Tue Dec 01 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-150.el6
- Rebuild due to kernel update 

* Tue Nov 17 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-149.el6
- Rebuild due to kernel update 

* Tue Nov 17 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-148.el6
- Rebuild due to xen update 

* Wed Nov 04 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-147.el6
- Rebuild due to xen update 

* Mon Nov 02 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-146.el6
- Rebuild due to kernel update 

* Mon Oct 26 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-145.el6
- Rebuild due to kernel and xen update 

* Mon Oct 19 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-144 
- Monitor CloudNet interfaces; add and interface change events 

* Mon Oct 19 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-143.el6
- Rebuild due to kernel update 

* Thu Oct 15 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-142.el6
- Rebuild due to xen update 

* Fri Oct 02 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-141.el6
- Rebuild due to kernel update 

* Thu Oct 01 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-140.el6
- Rebuild due to kernel update 

* Tue Sep 22 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-139.el6
- Rebuild due to xen update 

* Mon Sep 14 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-138.el6
- Rebuild due to kernel update 

* Fri Sep 11 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-137.el6
- Rebuild due to xen update 

* Thu Sep 10 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-136.el6
- Rebuild due to xen update 

* Thu Sep 03 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-135.el6
- Rebuild due to xen update 

* Tue Sep 01 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-134.el6
- Rebuild due to xen update 

* Fri Aug 28 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-133.el6
- Rebuild due to xen update 

* Tue Jul 14 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-132.el6
- Rebuild due to xen update 

* Wed Jun 24 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-131.el6
- Rebuild due to kernel update 

* Wed Jun 17 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-130.el6
- Rebuild due to kernel update 

* Wed Jun 10 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-129.el6
- Rebuild due to kernel update 

* Mon Jun 01 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-128.el6
- Rebuild due to kernel update 

* Fri May 29 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-127.el6
- Rebuild due to xen update 

* Fri May 15 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-126.el6
- Rebuild due to xen update 

* Thu May 14 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-125.el6
- Rebuild due to xen update 

* Tue May 12 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-124.el6
- Rebuild due to xen update 

* Fri May 08 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-123.el6
- Rebuild due to xen update 

* Fri May 01 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-122.el6
- Rebuild due to xen update 

* Sun Apr 26 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-121.el6
- Rebuild due to kernel update 

* Fri Apr 17 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-120.el6
- Rebuild due to xen update 

* Thu Apr 09 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-119.el6
- Rebuild due to xen update 

* Thu Apr 09 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-118.el6
- Rebuild due to xen update 

* Wed Apr 08 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-117.el6
- Rebuild due to xen update 

* Wed Apr 08 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-116.el6
- Rebuild due to xen update 

* Tue Apr 07 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-115.el6
- Rebuild due to xen update 

* Tue Apr 07 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-114.el6
- Rebuild due to xen update 

* Mon Apr 06 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-113.el6
- Rebuild due to kernel update 

* Tue Mar 24 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-112.el6
- Rebuild due to xen update 

* Mon Mar 23 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-111.el6
- Rebuild due to kernel update 

* Mon Mar 23 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-110.el6
- Rebuild due to xen update 

* Fri Mar 20 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-109.el6
- Rebuild due to xen update 

* Mon Mar 16 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-108.el6
- Rebuild due to kernel update 

* Fri Mar 13 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-107.el6
- Rebuild due to xen update 

* Mon Mar 02 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-106.el6
- Rebuild due to xen update 

* Fri Feb 27 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-105.el6
- Rebuild due to xen update 

* Fri Jan 30 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-104.el6
- Rebuild due to xen update 

* Fri Jan 30 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-103.el6
- Rebuild due to kernel update 

* Wed Jan 21 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-102.el6
- Rebuild due to xen update 

* Mon Jan 05 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-101.el6
- Rebuild due to xen update 

* Tue Dec 23 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-100.el6
- Rebuild due to kernel update 

* Fri Dec 19 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-99.el6
- Rebuild due to xen update 

* Thu Dec 11 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-98.el6
- Rebuild due to xen update 

* Thu Dec 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-97.el6
- Rebuild due to xen update 

* Thu Dec 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-96.el6
- Rebuild due to xen update 

* Thu Dec 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-95.el6
- Rebuild due to xen update 

* Wed Dec 03 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-94.el6
- Rebuild due to kernel update 

* Tue Nov 18 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-93.el6
- Rebuild due to kernel update 

* Fri Oct 17 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-92.el6
- Rebuild due to xen update 

* Wed Oct 08 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-91.el6
- Rebuild due to xen update 

* Wed Sep 10 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-90.el6
- Rebuild due to xen update 

* Wed Sep 10 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-89.el6
- Rebuild due to xen update 

* Fri Sep 05 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-88.el6
- Rebuild due to xen update 

* Thu Sep 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-87.el6
- Rebuild due to xen update 

* Thu Sep 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-86.el6
- Rebuild due to xen update 

* Wed Sep 03 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-85.el6
- Rebuild due to xen update 

* Tue Sep 02 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-84.el6
- Rebuild due to xen update 

* Thu Aug 28 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-83.el6
- Rebuild due to xen update 

* Wed Aug 27 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-82.el6
- Rebuild due to xen update 

* Tue Aug 26 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-81.el6
- Rebuild due to xen update 

* Wed Aug 20 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-80.el6
- Rebuild due to xen update 

* Wed Aug 20 2014 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 1.0-79 
- Fix devmon failed to acquire multipath path devices
  patch_nmae: devmon_acquire_pathdevs.patch
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com> [bug 19474225]  

* Thu Aug 14 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-78.el6
- Rebuild due to xen update 

* Thu Aug 07 2014 Carson Hovey <carson.hovey@oracle.com> - 1.0-77 
- Bug 19170020 - LSB init script header conventions clean-up.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: 19170020 

* Fri Jul 18 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-76.el6
- Rebuild due to xen update 

* Fri Jul 18 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-75.el6
- Rebuild due to xen update 

* Thu Jul 17 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-74.el6
- Rebuild due to xen update 

* Tue Jul 15 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-73.el6
- Rebuild due to xen update 

* Wed May 14 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-72.el6
- Rebuild due to xen update 

* Mon May 12 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-71.el6
- Rebuild due to kernel update 

* Fri May 02 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-70.el6
- Rebuild due to xen update 

* Fri Apr 11 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6
- Rebuild due to xen update 

* Thu Apr 10 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-68.el6
- Rebuild due to xen update 

* Fri Apr 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-67.el6
- Rebuild due to xen update 

* Fri Apr 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-66.el6
- Rebuild due to xen update 

* Thu Apr 03 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-65.el6
- Rebuild due to xen update 

* Fri Mar 28 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-64.el6
- Rebuild due to xen update 

* Mon Mar 10 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-63.el6
- Rebuild due to xen update 

* Fri Feb 28 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-62.el6
- Rebuild due to xen update 

* Thu Feb 27 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-61.el6
- Rebuild due to kernel update 

* Mon Feb 17 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-60.el6
- Rebuild due to xen update 

* Fri Feb 14 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-59.el6
- Rebuild due to xen update 

* Wed Jan 29 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-58.el6
- Rebuild due to xen update 

* Tue Jan 28 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-57.el6
- Rebuild due to kernel update 

* Wed Jan 22 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-56.el6
- Rebuild due to xen update 

* Fri Jan 17 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-55.el6
- Rebuild due to xen update 

* Mon Jan 13 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-54.el6
- Rebuild due to xen update 

* Thu Jan 09 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-53.el6
- Rebuild due to kernel update 

* Wed Jan 08 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-52.el6
- Rebuild due to xen update 

* Thu Jan 02 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-51.el6
- Rebuild due to xen update 

* Mon Dec 23 2013 Tianyue Lan <tianyue.lan@oracle.com> 1.0-50.el6
- Rebuild with el6 dist

* Tue Dec 17 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-49
- Rebuild due to kernel update 

* Tue Dec 17 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-48 
- Since bond interfaces do not have hardware sensing of their own , use IFF_UP and IFF_RUNNING
  to determine its status. [bug 17952899]  

* Mon Dec 16 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-47
- Rebuild due to kernel and xen update 

* Wed Dec 11 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-46
- Rebuild due to xen update 

* Wed Dec 11 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-45 
- Fix copyright year.
  Patch generated by:
  $ find . -path ./.svn -prune -o -type f -exec sed -i "s/Copyright (C) .* Oracle./Copyright (C) 2011-2014 Oracle./g" '{}' ;
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Dec 10 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-44
- Rebuild due to xen update 

* Wed Dec 04 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-43
- Rebuild due to kernel and xen update 

* Mon Nov 25 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-42
- Rebuild due to xen update 

* Thu Nov 07 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-41
- Rebuild due to kernel update 

* Tue Nov 05 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-40
- Rebuild due to xen update 

* Fri Oct 25 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-39
- Rebuild due to xen update 

* Wed Oct 23 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-38
- Rebuild due to kernel update 

* Mon Oct 21 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-37
- Rebuild due to xen update 

* Fri Oct 11 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-36
- Rebuild due to xen update 

* Fri Oct 11 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-35
- Rebuild due to xen update 

* Wed Oct 02 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-34
- Rebuild due to kernel update 

* Tue Sep 24 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-33
- Rebuild due to xen update 

* Fri Sep 20 2013 Shu Li <shu.li@oracle.com> 1.0-32
- Rebuild due to kernel update 

* Thu Sep 12 2013 Shu Li <shu.li@oracle.com> 1.0-31
- Rebuild due to kernel update 

* Tue Sep 03 2013 Jingjie Jiang <jingjie.jiang@oracle.com> - 1.0-30 
- Code changes for OL6u4 upgrade, change Python from 2.4 to 2.6. 

* Mon Apr 08 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-29 
- Fixed devmon so that it can handle the state of IPoIB partitions [bug 16263484]  

* Mon Aug 13 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-28 
- re-write the link state detection code to handle virtual nics link state correctly  (enics). [bug 14402887] 

* Wed Aug 01 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-27 
- Remove devmon reload option, it is not needed. [bug 14399588] 

* Wed Apr 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-26 
- fix agent notification module path.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Dec 15 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-25 
- fix notification for agent refactor 

* Wed Nov 16 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-24 
- Change the way devmon checks for infiniband devices 

* Thu Nov 03 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-23 
- Fixed devmon to recognize, monitor, and report infiniband devices link state. 

* Wed Aug 31 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-22 
- Changed devmon to use the interface flags (IFF_UP,IFF_DOWN) to determine
  bond link change instead of ethtool/or MII, as bond interfaces are logical
  and their link state can not be detected. [bug 12904169] 

* Fri Aug 26 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-21 
- add license header. [bug 12737215] 

* Tue Jul 12 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-20 
- change license to gplv2
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 12737215] 

* Wed Jul 06 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-19 
- Prevent devmon from reporting extra empty ADD_SD messages [bug 12696983] 

* Fri Jun 24 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-18 
- Better organize data in log file 

* Thu Jun 23 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-17 
- Remove code that handle a case of REM_DM processing which is not applicable to OVS.
  It causes extra empty REM_DM messages be sent while they where already handled [bug 12426402] 

* Wed Jun 08 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-16 
- I used iscsiadm -m node -p 10.196.210.25 --login/logout over 50 times to present/un-present
  10 ISCSI LUNs. The result was good every time. If you still see a missing ADD_SD,
  then I will needed your test environment for a few hours. [bug 12573959] 

* Wed May 25 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-15 
- Add RPM target, changes devmon service name to ovs-devmon 

* Tue May 24 2011 Kevin Lyons <kevin.x.lyons@oracle.com> - 1.0-14 
- Rename devmon init script to ovs-devmon and rebase package in tarball.

* Tue May 24 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-13 
- give multipathd a chance to catch up first fefore sending ADD SD otherwise we 
may miss the event. [bug 12573959]

* Fri May 13 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-12 
- Devmon does not fork python processes to storage_discover any more. This should
  reduce the amount of memory consumed during LUN present/un-present.
  The test should be repeated to see how much was gained.
  OraclBug:12418855 

* Fri May 13 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-11 
- A connection time is a result of a bad connection to the target, which caused devmon
  to exit at start up time. I changed the logic so that devmon will not exit and tries
  again during its main loop. [bug 11878958] 

* Mon Dec 13 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-10 
- Do not keep track, report vifs state change to the manager. It is not needed. [bug 10211503] 

* Tue Nov 30 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0-9 
- Added port name to [ADD_FC_TRG] event. 

* Tue Nov 23 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-8 
- Remove guest memory cushion. It is not need for OVM 

* Wed Nov 10 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-7 
- Stop the reaper thread from running, it is removing the DMs after all the SDs under it are gone.
  This is not needed for this product. 

* Wed Oct 06 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-6 
- Fix xenstored hang which made xend appears to be hanging. The problem was caused by
  devmon excessive access to xenstored that left many xenstored handle open.
  orabug:10155532 

* Tue Sep 21 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-5 
- Apply patch to make/spec files to satisfy the patch. 

* Mon Sep 20 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-4 
- Redirect PyErr_Print output to a string to catch agent_notify exception
  start devmon automatically at boot time. 

* Wed Sep 01 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-3
- Made some changes to accommodates changes in the notifier.

* Thu Aug 19 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0-2
- devmon was routing udev events to udev2multipathd daemon so it would not see
the storage or iscsi events.

* Thu Jul 8 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-1
- initial devmon spec file
